/*
	DUALPLAYER V1.00 (c) by Tinic Uro

	Postprocessor class
*/	
#include "zoonic.h"

/* 
	Methods
*/
enum
{
	PO_STREAM		=0x100,				// int handle (char *sound, long size)
	PO_NEWFILE		=0x101,				// void (BAudioSubscriber *auds)
	PO_ENDFILE		=0x102,				// void (void)
	PO_SETATTR		=B_METHOD_SETATTR,	// int (TagItem *items)
	PO_GETATTR		=B_METHOD_GETATTR,	// int (TagItem *items)
};

/*
	Attributes
*/
enum
{
	PO_ATTR_PREFS=0x10,					// S--
	PO_ATTR_ID,							// -G-
	PO_ATTR_BVIEW,						// -G-
	PO_ATTR_ACTIVATED					// SG-
};
										// |||
										// ||+- Direct return
										// ||
										// |+-- Getable Attribute
										// |
										// +--- Setable Attribute
